#include <stdio.h>
#include <stdlib.h>

#include <CmMessage.h>

CmMessageStatus handler (CmMessage message, char* sender, char* server)
{
  printf ("message ok\n");
  return (CmMessageBreak);
}

int main ()
{
  int i;
  for ( i = 0; i < 10 ; i++ )
    {
      if (!CmMessageOpenServer ("display"))
        {
          fprintf (stderr, "cannot start display\n");
          exit (1);
        }

      CmMessageInstallHandler (handler, "test");

      CmMessageWaitWithTimeout (0.5);
      CmMessageCloseServer ("display");
      printf ("now sleeping \n");
      sleep (2);
    }
}

